Environnements Java compatibles - Cloud

Guide d'installation et de migration de Talend Cloud

Version
Cloud
Language
Français
Operating system
Linux
Product
Talend Cloud
Module
Studio Talend
Talend Artifact Repository
Talend Data Stewardship
Talend Management Console
Talend Remote Engine
Talend SAP RFC Server
Content
Installation et mise à niveau
Last publication date
2024-02-20

Les tableaux suivants fournissent des informations sur l'environnement Java que vous devez télécharger et installer pour utiliser votre produit Talend.

Le niveau de conformité du compilateur (Compiler Compliance Level) correspond à la version de Java utilisée pour la génération de code des Jobs. Pour plus d'informations, consultez Configurer Java dans le Studio Talend.

Les plateformes Java supportées sont OpenJDK et Oracle JDK. La distribution recommandée pour OpenJDK est Zulu.

Important : Tous les produits Talend et leurs applications tierces associées, comme le cluster Hadoop, doivent utiliser la même version de Java pour des raisons de compatibilité. Avant d'installer ou de mettre à niveau toute application tierce associée, Talend vous recommande de vérifier la version Java supportée.

Dans la documentation suivante :

  • Recommandé : désigne un environnement recommandé par Talend sur la base de l'expérience et de l'utilisation faite par les clients ;
  • Supporté : désigne un environnement supporté pour une utilisation avec les composants ou services listés ;
  • Supporté avec limitations : désigne un environnement qui est supporté par Talend sous certaines conditions détaillées dans des notes.

Disponible dans :

Cloud API Services Platform

Cloud Big Data

Cloud Big Data Platform

Cloud Data Fabric

Cloud Data Integration

Cloud Data Management Platform

Environnements Java du Studio Talend

Les versions de Java supportées dépendent de votre version du Studio Talend.

Environnements Java compatibles avec le démarrage du Studio Talend
Version de Java (OpenJDK ou Oracle JDK) Type de support
17 Supportée à partir de la version R2023-10
11 Supportée

Gardez à l'esprit les éléments suivants avant d'utiliser Java 17 :

  • Si votre Studio Talend a été démarré avec Java 11, après l'installation de la mise à jour mensuelle 8.0 R2023-10 du Studio Talend ou d'une plus récente, le Studio Talend conserve le même comportement. Vous devez configurer l'interpréteur Java dans le Studio Talend avec Java 8 si vous souhaitez exécuter vos Jobs avec cette version. Pour plus d'informations, consultez Interpréteur Java (Talend).
  • Après avoir installé la mise à jour mensuelle 8.0 R2023-10 du Studio Talend ou une plus récente, si vous utilisez la version 17 de Java et que vous redémarrez votre Studio Talend avec Java 17 :
    • Pour exécuter vos Jobs d'intégration de données, localement dans le Studio Talend, activez l'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17) dans la vue Build > Java Version (Version de Java) dans la fenêtre Project Settings (Paramètres du projet) du Studio Talend.

      Si vos Jobs comprennent des composants nécessitant accès aux modules internes de Java, vous devez les configurer manuellement après avoir activé l'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17). Pour plus d'informations, consultez Configurer Java dans le Studio Talend.

      Avertissement : Une fois l'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17) activée, tout Job construit par le Studio Talend ne pourra plus s'exécuter avec Java 8. Vous devez donc vérifier l'environnement Java de vos serveurs d'exécution de Jobs, avant d'activer l'option.
    • Pour exécuter vos Jobs d'intégration de données sur un Remote Engine v2.13 ou supérieure, nécessitant Java 17 pour démarrer et utilisant Java 17 par défaut pour l'exécution, vous avez deux possibilités :
      1. Reconstruire vos Jobs : activez l'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17) dans la vue Build > Java Version (Version de Java), en suivant le même processus que précédemment, pour exécuter les Jobs localement dans le Studio Talend. C'est l'approche recommandée. Cette approche vous permet d'exécuter ces Jobs avec la version 17 de Java par défaut de Talend Remote Engine.
      2. Si vous préférez ne pas reconstruire vos Jobs, configurez le moteur pour qu'il utilise une version Java différente de celle par défaut. Pour ce faire, spécifiez les instances de la version 8 ou 11 de Java à utiliser lors d'une installation utilisant l'Installeur ou modifiez manuellement un fichier de configuration après l'installation.
    • Pour exécuter vos Jobs d'intégration de données, localement dans le Studio Talend ou sur un Remote Engine s'exécutant sur Java 8, vous devez configurer l'interpréteur dans le Studio Talend à Java 8 et désactiver l'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17) dans la vue Build > Java Version de la boîte de dialogue Studio Talend Project Settings (Paramètres du projet). Pour plus d'informations, consultez Interpréteur Java (Talend) et Configurer Java dans le Studio Talend.

Les tableaux suivants indiquent les environnements Java dans lesquels les éléments correspondants peuvent être exécutés.

Versions de Java supportées pour exécuter des Jobs d'intégration de données
Version de Java pour l'exécution Type de support
17 Supporté avec limitations :
  • L'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17) doit être activée.
  • Pour exécuter des artefacts de Jobs sur Talend Remote Engine avec Java 17, vous devez utiliser Talend Remote Engine v2.13.
11 Supporté avec limitations :
  • Uniquement pour les composants d'intégration de données qui n'utilisent pas de distribution Big Data.
8 Supporté avec limitations :
  • L'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17) doit être désactivée.

Disponible dans :

Data Fabric

Data Services Platform

ESB

MDM Platform

Real-Time Big Data Platform

Versions supportées de Java pour l'exécution de Routes et de Jobs de services de données
Version de Java pour l'exécution Type de support
17 Supporté avec limitations :
  • Lorsque le type de build est Talend Runtime (OSGi), vous devez utiliser Talend Remote Engine v2.13 ou supérieure et Talend Runtime en version 8.0.1-R2023-10 ou supérieure.
11 Supporté
8 Non supporté

Disponible dans :

Big Data

Big Data Platform

Data Fabric

Real-Time Big Data Platform

Versions de Java supportées pour exécuter des Jobs Big Data Spark
Version de Java pour l'exécution Type de support
17 Supporté avec limitations :
  • L'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17) doit être activée.
11 Supporté avec limitations :
  • L'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17) doit être activée.
8 Supporté avec limitations :
  • L'option Enable Java 17 compatibility (Activer la compatibilité avec Java 17) doit être désactivée.

L'exécution des Jobs Big Data Spark dépend des versions Java supportées par le cluster.

Environnements Java compatibles avec le Studio Talend 7.3
Version de Java (OpenJDK ou Oracle JDK) Type de support Notes
11 Recommandé Lors de l'exécution d'Oracle 11, le Studio Talend doit respecter le niveau 11 de conformité du compilateur JDK (par défaut).
8 Supporté Lors de l'exécution d'Oracle 8, le Studio Talend doit respecter le niveau 1.8 de conformité du compilateur JDK (par défaut). Si la version JDK installée est inférieure à 1.8.0_161, vous devez également installer la ressource supplémentaire Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files. Cela s'applique également à l'exécution de Jobs standalone.

Environnements Java pour les serveurs

Environnements Java compatibles avec les modules serveurs Talend
Module serveur Talend Version de Java (OpenJDK ou Oracle JDK) Type de support
  • Talend Management Console
  • Talend Data Preparation
  • Talend Data Stewardship
  • Disponible dans :

    Cloud API Services Platform

    Cloud Big Data Platform

    Cloud Data Fabric

    Cloud Data Management Platform

  • Talend Dictionary Service
  • Talend SAP RFC Server
  • 17
  • 11
  • 8
Supporté avec limitations :
  • Java 17 nécessite le patch mensuel 8.0.1-R2023-10 du Studio Talend ou une version supérieure.

    Disponible dans :

    Data Fabric

    Data Services Platform

    ESB

    MDM Platform

    Real-Time Big Data Platform

  • Talend ESBServeur de
  • Disponible dans :

    Data Fabric

    Data Services Platform

    ESB

    MDM Platform

    Real-Time Big Data Platform

  • Talend ESB/Microservices
  • Disponible dans :

    Data Fabric

    Data Services Platform

    ESB

    MDM Platform

    Real-Time Big Data Platform

  • Talend Runtime
  • 17
  • 11
Supporté avec limitations :
  • Java 17 nécessite le patch mensuel 8.0.1-R2023-10 du Studio Talend ou une version supérieure.

Disponible dans :

Cloud Big Data

Cloud Big Data Platform

Cloud Data Fabric

Remarque : Les environnements Java recommandés pour les distributions Big Data sont OpenJDK 8 et Oracle JDK 8.